# Uses of Enum Class
org.bukkit.block.data.type.RedstoneWire.Connection

Packages that use RedstoneWire.Connection
Package
Description
org.bukkit.block.data.type
Specific BlockData classes relevant to only a given block or set of blocks.

## Uses of RedstoneWire.Connection in org.bukkit.block.data.type

Methods in org.bukkit.block.data.type that return RedstoneWire.Connection
Modifier and Type
Method
Description
`@NotNull RedstoneWire.Connection`
RedstoneWire.`getFace(@NotNull BlockFace face)`
Checks the type of connection on the specified face.
`static RedstoneWire.Connection`
RedstoneWire.Connection.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RedstoneWire.Connection[]`
RedstoneWire.Connection.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.block.data.type with parameters of type RedstoneWire.Connection
Modifier and Type
Method
Description
`void`
RedstoneWire.`setFace(@NotNull BlockFace face, @NotNull RedstoneWire.Connection connection)`
Sets the type of connection on the specified face.